[arch-commits] Commit in quota-tools/repos (3 files)

Eric Belanger eric at archlinux.org
Thu May 1 23:38:49 EDT 2008


    Date: Thursday, May 1, 2008 @ 23:38:49
  Author: eric
Revision: 1225

fixing svn conflict

Added:
  quota-tools/repos/extra-i686/ChangeLog
    (from rev 1219, quota-tools/trunk/ChangeLog)
Modified:
  quota-tools/repos/extra-i686/	(properties)
  quota-tools/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   29 ++++++++++++++---------------
 2 files changed, 19 insertions(+), 15 deletions(-)


Property changes on: quota-tools/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /quota-tools/trunk:1
   + /quota-tools/trunk:1-1224

Copied: quota-tools/repos/extra-i686/ChangeLog (from rev 1219, quota-tools/trunk/ChangeLog)
===================================================================
--- extra-i686/ChangeLog	                        (rev 0)
+++ extra-i686/ChangeLog	2008-05-02 03:38:49 UTC (rev 1225)
@@ -0,0 +1,5 @@
+2008-05-01  Eric Belanger  <eric at archlinux.org>
+
+	* quota-tools 3.16-1
+	* Upstream update
+

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-05-02 03:35:58 UTC (rev 1224)
+++ extra-i686/PKGBUILD	2008-05-02 03:38:49 UTC (rev 1225)
@@ -1,33 +1,32 @@
 # $Id$
-# Maintainer: Judd <judd at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Judd <judd at archlinux.org>
+
 pkgname=quota-tools
-pkgver=3.15
+pkgver=3.16
 pkgrel=1
 pkgdesc="Tools to manage kernel-level quotas in Linux"
 arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/linuxquota/"
 license=('GPL' 'BSD')
-depends=('e2fsprogs')
+depends=('e2fsprogs' 'tcp_wrappers')
 backup=('etc/warnquota.conf' 'etc/quotatab' 'etc/quotagrpadmins')
 options=('!emptydirs')
-source=(http://downloads.sourceforge.net/sourceforge/linuxquota/quota-$pkgver.tar.gz LICENSE)
-md5sums=('5a1c2f5e669aba825e0126d2f30ee622' 'dd792440e684043e4e4ef80963d0237b')
+source=(http://downloads.sourceforge.net/sourceforge/linuxquota/quota-${pkgver}.tar.gz LICENSE)
+md5sums=('6d1467458a092c4754abef92e7fa6ebe' 'dd792440e684043e4e4ef80963d0237b')
+sha1sums=('bf90bb867fe847408c31bfa47a739235ba95287c' '57297bdc9e638c500506169bbbe12eb89bcf7d07')
 
 build() {
-  cd $startdir/src/$pkgname
+  cd ${startdir}/src/${pkgname}
   ./configure --prefix=/usr --sysconfdir=/etc
   make || return 1
-  make ROOTDIR=$startdir/pkg install || return 1
-  install -D -m644 ../LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  make ROOTDIR=${startdir}/pkg install || return 1
+  install -D -m644 ../LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE
 
   # remove conflicts
   # glibc
-  rm $startdir/pkg/usr/include/rpcsvc/rquota.h || return 1
-  rm $startdir/pkg/usr/include/rpcsvc/rquota.x || return 1
+  rm ${startdir}/pkg/usr/include/rpcsvc/rquota.h || return 1
+  rm ${startdir}/pkg/usr/include/rpcsvc/rquota.x || return 1
   # man-pages
-  rm $startdir/pkg/usr/share/man/man2/quotactl.2 || return 1
-  rm $startdir/pkg/usr/share/man/man8/rquotad.8 || return 1 
-  # nfs-utils
-  rm $startdir/pkg/usr/sbin/rpc.rquotad || return 1
-
+  rm ${startdir}/pkg/usr/share/man/man2/quotactl.2 || return 1
 }





More information about the arch-commits mailing list